## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanSimplePrefixResolver Class Reference

Inheritance diagram for XalanSimplePrefixResolver:

[legend]
Collaboration diagram for XalanSimplePrefixResolver:

[legend]
List of all members.

## Public Member Functions

- XalanSimplePrefixResolver (const XalanDOMString &thePrefix, const XalanDOMString &theNamespaceURI, const XalanDOMString &theURI)
- virtual ~XalanSimplePrefixResolver ()
- virtual const XalanDOMString * getNamespaceForPrefix (const XalanDOMString &prefix) const
    Retrieve a namespace corresponding to a prefix.
- virtual const XalanDOMString & getURI () const
    Retrieve the base URI for the resolver.

## Public Attributes

- const XalanDOMString & m_prefix
- const XalanDOMString & m_namespaceURI
- const XalanDOMString & m_uri

## Constructor & Destructor Documentation

XalanSimplePrefixResolver::XalanSimplePrefixResolver | ( | const XalanDOMString & | thePrefix,
|  | const XalanDOMString & | theNamespaceURI,
|  | const XalanDOMString & | theURI
| ) |

virtual XalanSimplePrefixResolver::~XalanSimplePrefixResolver | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual const XalanDOMString* XalanSimplePrefixResolver::getNamespaceForPrefix | ( | const XalanDOMString & | prefix | ) | const`[virtual]`

  | Retrieve a namespace corresponding to a prefix. This assumes that the PrevixResolver holds its own namespace context, or is a namespace context itself. Parameters:
  prefix | Prefix to resolve
Returns: namespace that prefix resolves to, or null if prefix is not found Implements PrefixResolver.

virtual const XalanDOMString& XalanSimplePrefixResolver::getURI | ( |  | ) | const`[virtual]`

| Retrieve the base URI for the resolver. Returns: URI string Implements PrefixResolver.

## Member Data Documentation

const XalanDOMString& XalanSimplePrefixResolver::m_namespaceURI

const XalanDOMString& XalanSimplePrefixResolver::m_prefix

const XalanDOMString& XalanSimplePrefixResolver::m_uri

The documentation for this class was generated from the following file:

- XalanSimplePrefixResolver.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.